using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class TblTemplateAndSettingsSchedule : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ScheduleEsppId",
                table: "Templates",
                type: "text",
                nullable: true);

            migrationBuilder.InsertData(
                table: "Settings",
                columns: new[] { "Name", "Description", "Value" },
                values: new object[] { "ScheduleTimezone", "Расписание регламентной работы - В каком часовом поясе", "MSK" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "Settings",
                keyColumn: "Name",
                keyValue: "ScheduleTimezone");

            migrationBuilder.DropColumn(
                name: "ScheduleEsppId",
                table: "Templates");
        }
    }
}
